Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Captures


Overview

An airline ticket capture transfers the authorized funds for a ticket purchase to the merchant account. Captures for ticket purchases must be sent separately from captures for ancillary purchases, such as baggage fees, seat upgrades, and other services purchased at the same time as the ticket. See Ancillary Purchases for information about capturing ancillary purchases.

For a ticket purchase with multiple passengers, you can send a single authorization request, but you must send a separate capture request for each passenger.

Most processors require travel leg information in a capture request, even for direct flights, and each processor limits the maximum number of legs allowed for a trip. The limit can vary by card type. See Travel Legs for information about how to format travel leg fields in a request.

Many processors also require a document type field to specify the purpose of the transaction. For a list of possible values, see Airline Document Type Codes.

Supported Processors

Supported processors: Chase Paymentech Solutions, FDC Nashville Global, Streamline,

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Example

This example shows a airline ticket capture.

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "processingInformation": {    "industryDataType": "airline"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "500.00",      "currency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/captures/6823025890736075903954/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/captures/6823025890736075903954"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6823025890736075903954",  "orderInformation": {    "amountDetails": {      "totalAmount": "500.00",      "currency": "USD"    }  },  "reconciliationId": "67720603YGMSE5JE",  "status": "PENDING",  "submitTimeUtc": "2026-04-24T02:16:29Z"}

Processor-Specific Capture Information

This list describes processor-specific capture behavior:

Chase Paymentech Solutions

For a ticket purchase with multiple passengers, recommends sending a separate capture request for each passenger. The original authorization can be a single request.

Capture requests must include all the airline-related information, with the processingInformation.industryDataType field set to airline. You must send ticket purchases and ancillary purchases in separate captures.

Chase Paymentech Solutions uses the travelInformation.transit.airline.transactionType field to distinguish between a ticket purchase and an ancillary purchase. For a ticket capture, set this field to 01.

When the card type is American Express, Chase Paymentech Solutions also requires the document type field. It is ignored for other card types. See Chase Paymentech Solutions Required Fields.

FDC Nashville Global

This table describes the maximum number of travel legs allowed for each trip, by card type:

Supported Card TypesMaximum Number of Travel Legs
American Express4
Discover4
Mastercard99
Visa4

Depending on the card type, FDC Nashville Global requires additional fields for a capture. See FDC Nashville Global Required Fields.

Streamline

Streamline supports this transaction through Simple Order only.

This table describes the maximum number of travel legs allowed for each trip, by card type:

Supported Card TypesMaximum Number of Travel Legs
Cartes Bancaires4
Dankort4
Maestro (International)4
Maestro (UK Domestic)4
Mastercard4
Visa4
Visa Platform Connect

This table describes the maximum number of travel legs allowed for each trip, by card type:

Supported Card TypesMaximum Number of Travel Legs
American Express4
Discover4
Mastercard4
Visa4

When capturing an airline payment with a Mastercard, you also need the ticket issuer code field. See Required Fields.

Required Fields

These fields are required for , Barclays, Chase Paymentech Solutions, Elavon, and FDC Nashville Global unless a processor-specific section indicates otherwise. American Express Direct, Lloyds-OmniPay, OmniPay Direct, Streamline, TSYS Acquiring Solutions, and UATP support this transaction through Simple Order only, so their required fields appear in the Simple Order Captures reference.

FieldTypeDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
processingInformation.industryDataTypeSet the value to airline.

Requires only the default fields.

These optional fields are commonly supported across the REST-capable processors. Each processor also supports additional processor-specific optional fields for travel leg detail, clearing amounts, and exchange ticket data that are not repeated here.

Optional Fields
FieldTypeDescription
travelInformation.transit.airline.customerCode
travelInformation.transit.airline.legs[].fareBasis
travelInformation.transit.airline.legs[].stopoverIndicator
travelInformation.transit.airline.ticketIssueDate
travelInformation.transit.airline.planNumber

Chase Paymentech Solutions Required Fields

In addition to the default required fields, Chase Paymentech Solutions also requires these fields.

Required Fields
FieldTypeDescription
clientReferenceInformation.code
travelInformation.agency.code
travelInformation.agency.name
travelInformation.transit.airline.legs[].class
travelInformation.transit.airline.legs[].departureDate
travelInformation.transit.airline.legs[].originatingAirportCode
travelInformation.transit.airline.passengerNameValue format: lastname/firstname
travelInformation.transit.airline.ticketNumber
travelInformation.transit.airline.transactionTypeSet to one of these possible values: 01 for a payment for an airline ticket, or 02 for a payment for an ancillary purchase. For a ticket capture, set this field to 01.
travelInformation.transit.airline.documentTypeRequired when the card type is American Express (ignored for other card types). For possible values, see Airline Document Type Codes.

FDC Nashville Global Required Fields

In addition to the default required fields, FDC Nashville Global also requires these fields.

Required Fields
FieldTypeDescription
clientReferenceInformation.code
travelInformation.transit.airline.legs[].carrierCode
travelInformation.transit.airline.legs[].class
travelInformation.transit.airline.legs[].departureDate
travelInformation.transit.airline.legs[].destinationAirportCode
travelInformation.transit.airline.legs[].originatingAirportCode
travelInformation.transit.airline.passengerName
travelInformation.transit.airline.ticketNumber

Depending on the card type, FDC Nashville Global also requires these fields, in addition to the fields above.

Discover Required Fields
FieldTypeDescription
travelInformation.agency.code
travelInformation.transit.airline.arrivalDate
travelInformation.transit.airline.legs[].arrivalTime
travelInformation.transit.airline.legs[].arrivalTimeMeridianSet the value to A or P.
travelInformation.transit.airline.legs[].departureTime
travelInformation.transit.airline.legs[].departureTimeMeridianSet the value to A or P.
travelInformation.transit.airline.legs[].fareBasis
travelInformation.transit.airline.legs[].flightNumber
travelInformation.transit.airline.legs[].totalFareAmount
travelInformation.transit.airline.ticketIssueDate
travelInformation.transit.airline.ticketIssuer.address
Mastercard Required Fields
FieldTypeDescription
travelInformation.transit.airline.legs[].fareBasis
travelInformation.transit.airline.legs[].flightNumber
travelInformation.transit.airline.legs[].departureTime
Visa Required Fields
FieldTypeDescription
travelInformation.transit.airline.restrictedTicketIndicatorSet the value to 0 for refundable.

Required Fields

Required Fields
FieldTypeDescription
travelInformation.transit.airline.ticketIssuer.codeRequired when capturing an airline payment with a Mastercard.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.